Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07015 Gameplay Trivial Always Jun 10, 2018, 17:10 9 days ago
Tester Hydreigon View Status Public Platform MAME (Official Binary)
Assigned To Hydreigon Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver model1.cpp
Version 0.198 Fixed in Version 0.206GIT Build 64-bit
Summary 07015: vr, vformula: Undetected communication board.
Description Virtua Racing and Forumla doesn't seem to recognize their communication boards. Setting the communication to 'master' or 'slave' will load the cancelled screen instead of the network check screen even with a proper config. Happened since 0.196. Comm board emulation for these two games worked fine before. System 32 and Model 2 games are unaffected. Wing War, running on the same hardware, reads its comm board fine.
Steps To Reproduce 1. Run vr or vformula
2. Change linked setting to 'master or slave'.
3. Exit test mode.
Additional Information Used the following setup for both cfgs:

CFG #1: mame64.exe vr -w -cfg_directory cfg -nvram_directory nvram -comm_localport 15111 -comm_remoteport 15112 -comm_localhost 0.0.0.0 -comm_remotehost 127.0.0.1

CFG #2: mame64.exe vr -w -cfg_directory cfg2 -nvram_directory nvram2 -comm_localport 15112 -comm_remoteport 15111 -comm_localhost 0.0.0.0 -comm_remotehost 127.0.0.1

My guess is something happened so that the communications board ended up being undetected so both games think they don't have a comm board installed.
Flags
Regression Version 0.197
Affected Sets / Systems vr, vformula
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.15159
Tafoid
Administrator
Jun 10, 2018, 22:52
edited on: Jun 10, 2018, 22:52
Confirmed vr with the examples provided. Also tested 0.196 to see how it should work and it indeed has regressed.
User avatar
No.15162
Hydreigon
Tester
Jun 11, 2018, 02:07
edited on: Jun 23, 2018, 03:06
My guess was vr initially didn't have a comm board installed in mame and could be changed via "machine config" option ingame but that never came to be. The reason was because the upright and 16:9 screen versions of vr didn't have comm boards installed unless operators wanted to pay extra to install the comm boards. From what I heard, the twin version was more favorable.

vformula on the other hand has a comm board installed by default because they were only sold as linked units.

Hope Sailorsat has something to comment about this.
User avatar
No.15913
Hydreigon
Tester
Dec 15, 2018, 17:54
edited on: 11 days ago
It seems I made a slight miscalculation and changed the regression version. From 0.196 to 0.197, there were a lot of model1 changes. My best guess of which commit regressed the comm board issue would be this: https://git.redump.net/mame/commit/?id=1d338061af66eed2cbf3e19655bb840f4e801c9c

(Exactly finding out what went wrong isn't going to be an easy task for me for this seems to be a nice rewrite).
User avatar
No.16032
Hydreigon
Tester
10 days ago
edited on: 9 days ago
Fixed: https://git.redump.net/mame/commit/?id=3f657de4a62dcec8be2e2f75448f2dd44281e8ff The previous machine configs for vr and vformula had their maincpu use the non m1comm address maps (while wingwar on the other hand did). My initial commit didn't quite work out well (silly me).

I myself can't change the status to "Resolved" in any way.